<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript">
    Cubix.ready = function () {
            new Cubix.Shadow($('content'));
            var getFilterParams = function () {
                    var uri = new URI('?' + $$('form')[0].toQueryString());
                    return uri.get('data');
            };

            /* ----------------------- EDIT ---------------------- */
            var popupWord = new Cubix.Popup.Ajax({
                    abar: [
                            { caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
                            { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
                    ],
                    width: 230
            });

            popupWord.addEvent('loaded', function () {
                    new mootabs('value-tabs-view', { width: null, height: 'auto' });
            });	
            /* ----------------------- END  EDIT ---------------------- */


            var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
                    identifier: { field: 'id' },
                    header: [
                    { title: 'Number', field: 'number', type: 'string', sortable: true, width: '300px' },
                            { title: 'Ad #', field: 'name', type: 'string', sortable: true, width: '300px' },
                            { title: 'User #', field: 'user_id', type: 'string', sortable: true, width: '120px' },
                            { title: 'Date', field: 'received_date', type: 'string', sortable: true, width: '120px' },
                            { title: 'Verification ID', field: 'verification_id', type: 'string', sortable: true, width: '300px' },
                    ],
                    sort: {
                            field: 'received_date',
                            dir: 'desc'
                    },
                    actions: [ ],
                    data: new Cubix.Grid.Loader({ url: '/phone-validation/data', params: getFilterParams })
            });

            grid.addEvent('loaded', function () {

            });


 
       
        if ( $('select-all') ) {
            $('select-all').set('checked', '');

            $('select-all').addEvent('click', function() {
                if ( this.get('checked') )
                {
                    $$('#cx-grid input[type=checkbox]').each(function(it){
                        if ( it.get('id') != 'select-all' )
                            it.set('checked', 'checked');
                    });
                }
                else
                {
                    $$('#cx-grid input[type=checkbox]').each(function(it){
                        if ( it.get('id') != 'select-all' )
                            it.set('checked', '');
                    });
                }
            });
        }

        function getCheckedIds()
            {
                    var ids = '';
                    $$('#cx-grid input[type=checkbox]').each(function(it){
                            if ( it.get('id') != 'select-all' && it.get('checked') )
                                    ids += 'id[]=' + it.value + '&';
                    });

                    return ids;
            }



    };
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }
</style>

<div class="form-common gray">
	<form>
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="title">Number</label>
				<input id="title" type="text" class="txt w18" name="number" value="" />
			</div>


			
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
        <a id="btn-create"></a>
        <a id='btn-delete'></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
